/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_SENF                                                     */
/* Tabela : SERIENF                                                           */
/*                                                                            */
/* Criao:                                                                   */
/* 18/06/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_SENF
BEFORE INSERT OR UPDATE OR DELETE
ON SERIENF FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUSENF := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDSERIE,0)      <> NVL(:NEW.CDSERIE,0))            OR
         (NVL(:OLD.DSSERIE,0)      <> NVL(:NEW.DSSERIE,0))            OR
         (NVL(:OLD.CDEMPRESA,0)    <> NVL(:NEW.CDEMPRESA,0))          OR
         (NVL(:OLD.CDINSCESTA,0)   <> NVL(:NEW.CDINSCESTA,0))         OR
         (NVL(:OLD.DTULTATUSENF,TO_DATE('31/12/1899','DD/MM/YYYY')) <>
          NVL(:NEW.DTULTATUSENF,TO_DATE('31/12/1899','DD/MM/YYYY')))  OR
         (NVL(:OLD.CDRELMODENF,0)  <> NVL(:NEW.CDRELMODENF,0))        OR
         (NVL(:OLD.CDRELESPENF,0)  <> NVL(:NEW.CDRELESPENF,0))        OR
         (NVL(:OLD.NRMAXITNF,0)    <> NVL(:NEW.NRMAXITNF,0))          OR
         (NVL(:OLD.CDINSCMUNI,0)   <> NVL(:NEW.CDINSCMUNI,0))         OR
         (NVL(:OLD.CDCTRLNUMENF,0) <> NVL(:NEW.CDCTRLNUMENF,0))       OR
         (NVL(:OLD.NRMAXSERVNF,0)  <> NVL(:NEW.NRMAXSERVNF,0))        OR
         (NVL(:OLD.IDCONMAXITEM,0) <> NVL(:NEW.IDCONMAXITEM,0))       OR
         (NVL(:OLD.IDUTDTPREMIS,0) <> NVL(:NEW.IDUTDTPREMIS,0))       OR
         (NVL(:OLD.CDSERIENFE, 0) <> NVL(:NEW.CDSERIENFE, 0))         OR
         (NVL(:OLD.CDSERIENFESCAN, 0) <> NVL(:NEW.CDSERIENFESCAN, 0)) OR
         (NVL(:OLD.CDCTRLNUMENFC, 0) <> NVL(:NEW.CDCTRLNUMENFC, 0))
         THEN
         :NEW.DTULTATUSENF := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('SERIENF', '', 'CDEMPRESA='||:OLD.CDEMPRESA||';CDINSCESTA='||:OLD.CDINSCESTA||';CDINSCMUNI='||:OLD.CDINSCMUNI||';CDSERIE='||:OLD.CDSERIE||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE SERIENF MODIFY DTULTATUSENF DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_SENF','5.30.xxx'); END;
/

