import {
    ApexChart,
} from '@zeedhi/common';
import {
    IDictionary, Http,
} from '@zeedhi/core';

export class DashboardController {
    public async dataBaseChartPie({ component }: { component: ApexChart }) {
        await Http.get('/dataBaseChartPie').then((response: IDictionary) => {
            if (response.data.length) {
                response.data.forEach((dados: IDictionary) => {
                    component.options.labels.push(dados.NMATIVIDADE);
                    (component.series as any[]).push(dados.QUANTIDADE);
                    component.options.colors.push(dados.DSCORIDATIVIDADE);
                });
            } else {
                component.options.labels.push('Nenhum dado disponível');
                (component.series as any[]).push(100);
                component.options.colors.push('#57737a');
            }
        });
    }

    public async dataBaseChartBar({ component }: { component: ApexChart }) {
        Http.get('/dataBaseChartBar').then((response: IDictionary) => {
            if (response.data.length) {
                response.data.forEach((dados: IDictionary) => {
                    (component.series as any[]).push({
                        name: dados.NMATIVIDADE,
                        data: [dados.QUANTIDADE],
                    });
                    component.options.colors.push(dados.DSCORIDATIVIDADE);
                });
            } else {
                (component.series as any[]).push({
                    name: 'Nenhum dado disponível',
                    data: [100],
                });
                component.options.colors.push('#57737a');
            }
        });
    }
}
